Bug 142338

Summary: [cmake] Handle unused parameter warnings as build errors except in WebKit2
Product: WebKit Reporter: Csaba Osztrogonác <ossy>
Component: New BugsAssignee: Csaba Osztrogonác <ossy>
Status: RESOLVED FIXED    
Severity: Normal CC: cgarcia, commit-queue, gyuyoung.kim, ossy
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 142497    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch none

Description Csaba Osztrogonác 2015-03-05 06:10:11 PST
To match the actual Mac settings, we should handle unused parameter warnings
as build build errors, except in WebKit2. In WebKit2, we should simply
suppress them, because Mac port does the same, there is no reason to
newly introduced unused parameter warnings in WebKit2 again and again.
Comment 1 Csaba Osztrogonác 2015-03-05 06:13:23 PST
Created attachment 247948 [details]
Patch
Comment 2 Csaba Osztrogonác 2015-03-05 06:23:19 PST
webkit-dev thread: https://lists.webkit.org/pipermail/webkit-dev/2015-March/027269.html
Comment 3 Csaba Osztrogonác 2015-03-05 06:28:38 PST
(In reply to comment #0)
> To match the actual Mac settings, we should handle unused parameter warnings
> as build build errors, except in WebKit2. In WebKit2, we should simply
> suppress them, because Mac port does the same, there is no reason to
> newly introduced unused parameter warnings in WebKit2 again and again.

typo: ... no reason to _fix_ newly ...
Comment 4 Gyuyoung Kim 2015-03-05 17:46:17 PST
Comment on attachment 247948 [details]
Patch

Nobody replied this mail thread. So let's omit to make sound of unused param warning in WebKit2 as Mac port.
Comment 5 Csaba Osztrogonác 2015-03-09 12:10:48 PDT
Created attachment 248267 [details]
Patch

patch for landing, last EWS check to make sure we won't break the build.
Comment 6 WebKit Commit Bot 2015-03-10 01:33:59 PDT
Comment on attachment 248267 [details]
Patch

Clearing flags on attachment: 248267

Committed r181318: <http://trac.webkit.org/changeset/181318>
Comment 7 WebKit Commit Bot 2015-03-10 01:34:02 PDT
All reviewed patches have been landed.  Closing bug.